teem-vprobe(1)

NAME
teem-vprobe - Shows off the functionality of the gage library.

SYNOPSIS
teem-vprobe -i <nin> -k <kind> [-v <verbosity>] -q <query> [-s <sclX \fR

DESCRIPTION
Uses gageProbe() to query various kinds of volumes to learn various measured or derived quantities. Can set environment variable TEEM_VPROBE_HACK_ZI to limit probing to a single z slice.

    sclY sxlZ>] [-k00 <kern00>] [-k11 <kern11>] [-k22 <kern22>] [-seed <N>] \ [-ssn <SS #>] [-ssr <scale range>] [-sss <scale save path>] [-ssw <SS \ pos>] [-kssblur <kernel>] [-kss <kernel>] [-ssrn <ssrn>] [-ssu] [-rn] \ [-gmc <min gradmag>] [-t <type>] [-o <nout>]

    -i <nin> = input volume

    -k <kind> = "kind" of volume ("scalar", "vector", "tensor", or

    "dwi")

-v <verbosity> = verbosity level (int); default: "1"

    -q <query> = the quantity (scalar, vector, or matrix) to learn by

    probing (string)

-s <sclX sclY sxlZ> = scaling factor for resampling on each axis (>1.0 :
    supersampling) (3 doubles); default: "1.0 1.0 1.0"

-k00 <kern00> = kernel for gageKernel00; default: "tent"

-k11 <kern11> = kernel for gageKernel11; default: "cubicd:1,0"

-k22 <kern22> = kernel for gageKernel22; default: "cubicdd:1,0"

    -seed <N> = RNG seed; mostly for debugging (unsigned int);

    default: "42"

    -ssn <SS #> = how many scale-space samples to evaluate, or, 0 to

    turn-off all scale-space behavior (unsigned int); default: "0"

-ssr <scale range> = range of scales in scale-space (2 doubles);
    default: "nan nan"

-sss <scale save path> = give a non-empty path string (like "./") to save out

    the pre-blurred volumes computed for the stack (string); default: ""

-ssw <SS pos> = "world"-space position (true sigma) at which to
    sample in scale-space (double); default: "0"

-kssblur <kernel> = blurring kernel, to sample scale space;
    default: "dgauss:1,5"

-kss <kernel> = kernel for reconstructing from scale space samples;
    default: "tent"

-ssrn <ssrn> = enable derivative normalization based on scale space
    (int); default: "0"

    -ssu = do uniform samples along sigma, and not (by default)

    samples according to the logarithm of diffusion time

    -rn = renormalize kernel weights at each new sample

    location. "Accurate" kernels don't need this; doing it always makes things go slower

-gmc <min gradmag> = For curvature-based queries, use zero when gradient
    magnitude is below this (double); default: "0.0"

    -t <type> = type of output volume (type); default: "float" -o <nout> = output volume (string); default: "-"

SEE ALSO
The full documentation for teem-vprobe is maintained as a Texinfo manual. If the info and teem-vprobe programs are properly installed at your site, the command

    info teem-vprobe

should give you access to the complete manual.